Public Member Functions | Public Attributes | List of all members
libfreehand::FWShadowFilter Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FWShadowFilter ()

## Public Attributes
unsigned | m_colorId
bool | m_knockOut
bool | m_inner
double | m_distribution
double | m_opacity
double | m_smoothness
double | m_angle

## Constructor & Destructor Documentation

## ◆ FWShadowFilter()

libfreehand::FWShadowFilter::FWShadowFilter | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_angle

double libfreehand::FWShadowFilter::m_angle

Referenced by libfreehand::FHCollector::_appendShadow(), and libfreehand::FHParser::readFWShadowFilter().

## ◆ m_colorId

unsigned libfreehand::FWShadowFilter::m_colorId

Referenced by libfreehand::FHCollector::_appendShadow(), and libfreehand::FHParser::readFWShadowFilter().

## ◆ m_distribution

double libfreehand::FWShadowFilter::m_distribution

Referenced by libfreehand::FHCollector::_appendShadow(), and libfreehand::FHParser::readFWShadowFilter().

## ◆ m_inner

bool libfreehand::FWShadowFilter::m_inner

Referenced by libfreehand::FHCollector::_appendShadow(), and libfreehand::FHParser::readFWShadowFilter().

## ◆ m_knockOut

bool libfreehand::FWShadowFilter::m_knockOut

Referenced by libfreehand::FHParser::readFWShadowFilter().

## ◆ m_opacity

double libfreehand::FWShadowFilter::m_opacity

Referenced by libfreehand::FHCollector::_appendShadow(), and libfreehand::FHParser::readFWShadowFilter().

## ◆ m_smoothness

double libfreehand::FWShadowFilter::m_smoothness

Referenced by libfreehand::FHParser::readFWShadowFilter().

The documentation for this struct was generated from the following file:

- FHTypes.h